<template>
  <div :class="$style.loadingWarpper">
    <div :class="$style.ldsRipple">
      <div :class="$style.loaderOne"></div>
      <div :class="$style.loaderTwo"></div>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  name: "BaseLoading"
});
</script>

<style module lang="scss">
.loadingWarpper {
  composes: display--flex;
  justify-content: center;
}

.ldsRipple {
  display: inline-block;
  position: relative;
  width: 64px;
  height: 64px;
}
.ldsRipple {
  .loaderOne,
  .loaderTwo {
    position: absolute;
    border: 4px solid $color--primary;
    opacity: 1;
    border-radius: 50%;
    animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
  }
}
.ldsRipple {
  .loaderTwo {
    animation-delay: -0.5s;
  }
}
@keyframes lds-ripple {
  0% {
    top: 28px;
    left: 28px;
    width: 0;
    height: 0;
    opacity: 1;
  }
  100% {
    top: -1px;
    left: -1px;
    width: 58px;
    height: 58px;
    opacity: 0;
  }
}
</style>
